ScheduledMessages

List scheduled messages

Returns scheduled messages, soonest send first, optionally filtered by status.

GET
/v1/messages/scheduled

Returns scheduled messages, soonest send first, optionally filtered by status. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Query Parameters

limit?|null
cursor?string
status?string
Value in"pending""dispatching""paused""dispatched""cancelled""failed"

Response Body

ScheduledMessagePage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.scheduledMessages.list({});
Example Response
{  "items": [    {      "id": "string",      "status": "pending",      "scheduledFor": "string",      "timezone": "string",      "send": {        "conversationId": "string",        "metadata": {          "property1": "string",          "property2": "string"        },        "channel": "email",        "to": [          {            "contactId": "string"          }        ],        "cc": [          {            "contactId": "string"          }        ],        "bcc": [          {            "contactId": "string"          }        ],        "from": {          "email": "string",          "name": "string"        },        "email": {          "subject": "string",          "html": "string",          "text": "string",          "attachments": [            {              "filename": "string",              "content": "string",              "mediaId": "string",              "contentType": "string",              "size": 1            }          ],          "publicationId": "string",          "inputContractId": "string",          "templateId": "string",          "templateSlug": "string",          "templateData": {            "property1": "string",            "property2": "string"          },          "locale": "string",          "timeZone": "string",          "inReplyToMessageId": "string",          "replyTo": [            "string"          ],          "topicId": "string",          "tracking": {            "opens": true,            "clicks": true          },          "footer": {            "enabled": true          },          "headers": {            "property1": "string",            "property2": "string"          }        }      },      "messageId": "string",      "idempotencyKey": "string",      "referenceId": "string",      "failureReason": "string",      "attempts": 0,      "createdBy": "string",      "actorEmail": "string",      "memberRole": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "nextCursor": "string"}

Related documentation